commit:     4035f35583fab2b3f22c09d2f2894f4b8f20cee0
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 30 03:10:43 2022 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sun Oct 30 04:35:36 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4035f355

sys-fs/multipath-tools: bump

Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
Reference: https://bugs.gentoo.org/show_bug.cgi?id=878763

 sys-fs/multipath-tools/Manifest                    |  1 +
 .../multipath-tools/multipath-tools-0.9.3.ebuild   | 83 ++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/sys-fs/multipath-tools/Manifest b/sys-fs/multipath-tools/Manifest
index 480f8d568d21..da55c0c395c3 100644
--- a/sys-fs/multipath-tools/Manifest
+++ b/sys-fs/multipath-tools/Manifest
@@ -1,2 +1,3 @@
 DIST multipath-tools-0.8.9.tar.gz 534866 BLAKE2B 
b5ebf3c393f6b60e85678ac07378ae07056b6777409fc1bc4f4133cdd3f8c75a3d76f6e9342208df7fed8fe7812b089eba8f6b769e47e1dd6c8b7fd321bdbd30
 SHA512 
25f2a5d436af6a343804988cef45ca1574d4a981655a2b91563ddb89138619158befdf5af92d836a17c95d6dcf901072b614473c2129274e5dcdb1a1d64edb4d
 DIST multipath-tools-0.9.0.tar.gz 537311 BLAKE2B 
e7d4958d24d1e19da2b80be23585ad37f6b0c1b66dc1377014d825ddd2be10ea3b8c30162cb7a23b120427bf0c957c6cad8560018e1cb058c284f37afd5d50d4
 SHA512 
6c417f6d1d116fa43bedb9f77769ece9cbb7b35b78a9b3558c41df2360e52a65a07314b12ab7e4a7bbc867b9755250de9db96a2f7eb4a6a37f0b0b3f0bbc840e
+DIST multipath-tools-0.9.3.tar.gz 552442 BLAKE2B 
e2065119cdd68bd8c2b4420bd0de9ce370601597972dba32c076bfc4df6d0a1a65356454a2f96f95f27cf681387685edcbac2eb41258d4a7049a1ef62cdf0949
 SHA512 
4faa2ee5a96a9d5d752219931ebc885cb70ed6b022d45ede985ad7919c043a3aee166e6f126d32dffd187c5c32d5cbce91747d87d0b55557e2f7f68b279583da

diff --git a/sys-fs/multipath-tools/multipath-tools-0.9.3.ebuild 
b/sys-fs/multipath-tools/multipath-tools-0.9.3.ebuild
new file mode 100644
index 000000000000..937105680154
--- /dev/null
+++ b/sys-fs/multipath-tools/multipath-tools-0.9.3.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-info systemd toolchain-funcs udev
+
+DESCRIPTION="Device mapper target autoconfig"
+HOMEPAGE="http://christophe.varoqui.free.fr/";
+SRC_URI="https://github.com/opensvc/${PN}/archive/refs/tags/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="systemd test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/json-c:=
+       dev-libs/libaio
+       dev-libs/userspace-rcu:=
+       >=sys-fs/lvm2-2.02.45
+       >=virtual/libudev-232-r3
+       sys-libs/readline:=
+       systemd? ( sys-apps/systemd )"
+DEPEND="${RDEPEND}
+       test? ( dev-util/cmocka )"
+BDEPEND="virtual/pkgconfig"
+
+CONFIG_CHECK="~DM_MULTIPATH"
+
+PATCHES=( )
+
+src_prepare() {
+       default
+       # life is too short for some trivial patches
+       sed -r -i -e '/^(CPPFLAGS|CFLAGS)/s,:=,+=,' \
+               "${S}"/Makefile.inc || die
+}
+
+src_compile() {
+       tc-export CC
+
+       # LIBDM_API_FLUSH involves grepping files in /usr/include,
+       # so force the test to go the way we want #411337.
+       emake \
+               prefix="${EPREFIX}" \
+               LIB="$(get_libdir)" \
+               LIBDM_API_FLUSH=1 \
+               PKGCONFIG="$(tc-getPKG_CONFIG)"
+}
+
+src_install() {
+       dodir /sbin /usr/share/man/man{3,5,8}
+       emake \
+               DESTDIR="${D}" \
+               prefix="${EPREFIX}" \
+               LIB="$(get_libdir)" \
+               RUN=run \
+               unitdir="$(systemd_get_systemunitdir)" \
+               libudevdir='$(prefix)'/$(get_udevdir) \
+               pkgconfdir='$(prefix)/usr/$(LIB)/pkgconfig' \
+               install
+       einstalldocs
+
+       newinitd "${FILESDIR}"/multipathd-r1.rc multipathd
+       newinitd "${FILESDIR}"/multipath.rc multipath
+
+       find "${ED}" -type f -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       udev_reload
+
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               elog "If you need multipath on your system, you must"
+               elog "add 'multipath' into your boot runlevel!"
+       fi
+}
+
+pkg_postrm() {
+       udev_reload
+}

Reply via email to